Bug 830558 - Hotspot does not use managed mode
Hotspot does not use managed mode
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 12:07 EDT by Jan Vlug
Modified: 2013-01-16 10:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 10:29:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Vlug 2012-06-10 12:07:47 EDT
Description of problem:
The network settings for a wireless hotspot state that a "managed" hotspot is created, but in reallity it is an "ad-hoc" hotspot (according to wifi analyser on my android phone).


Version-Release number of selected component (if applicable):
NetworkManager.x86_64 1:0.9.4-6.git20120521.fc16


How reproducible:
Always


Steps to Reproduce:
1. Right click on the NetworkManager icon in the right top of gnome 3.
2. Select "Network Settings"
3. Select "Wireless"
4. Click "Use as hotspot"
5. Click "Configure"
6. Choose "Infrastructure" for Mode
7. Click "Save..."

  
Actual results:
My phone reports still that the network is "ad-hoc"


Expected results:
There should be a "managed" wireless network

Additional info:
Also /etc/sysconfig/network-scripts/ifcfg-Hotspot-6 states:
MODE=Managed
Comment 1 Dan Winship 2012-06-13 14:55:48 EDT
I think Infrastructure mode only works for certain wireless drivers; until very very recently there was no standard kernel interface for it. But this is changing, so things should get better eventually.
Comment 2 Fedora End Of Life 2013-01-16 08:14:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Dan Winship 2013-01-16 10:29:00 EST
F19 will support infrastructure-mode hotspots

Note You need to log in before you can comment on or make changes to this bug.